CVE Vulnerabilities

CVE-2008-7256

Published: Jun 03, 2010 | Modified: Aug 17, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
1.2 LOW
AV:L/AC:H/Au:N/C:N/I:N/A:P
RedHat/V2
6.9 IMPORTANT
AV:L/AC:M/Au:N/C:C/I:C/A:C
RedHat/V3
Ubuntu

mm/shmem.c in the Linux kernel before 2.6.28-rc8, when strict overcommit is enabled and CONFIG_SECURITY is disabled, does not properly handle the export of shmemfs objects by knfsd, which allows attackers to cause a denial of service (NULL pointer dereference and knfsd crash) or possibly have unspecified other impact via unknown vectors. NOTE: this vulnerability exists because of an incomplete fix for CVE-2010-1643.

Affected Software

Name Vendor Start Version End Version
MRG for RHEL-5 RedHat kernel-rt-0:2.6.24.7-161.el5rt *
Linux Ubuntu hardy *
Linux Ubuntu upstream *
Linux-source-2.6.15 Ubuntu dapper *
Linux-source-2.6.15 Ubuntu upstream *

References